<div>
  <mat-card *ngFor="let x of bookmarksList;let idx = index;">
    <button class="mat-button" (click)="onDelete(x.id, idx)">X</button>
    <h2><a [href]="x.link">{{ x.title }}</a></h2>
    <p>published by {{x.publisher}} at {{ x['time_created'] }}</p>
    <h3>tags</h3>
    <div *ngFor="let xx of x.tags; let idx2 = index;">
      {{xx.title}} <button (click)="onDeleteTag(x.id, idx2)">X</button>
    </div>
  </mat-card>
  <mat-card>
    <form [formGroup]="bookmarksForm" (ngSubmit)="onSubmit()">
      <button type="submit">Add</button>
      <input type="text" formControlName="title" placeholder="Title">
      <input type="text" formControlName="publisher" placeholder="Published by">
      <input type="text" formControlName="link" placeholder="URL">
      <label>tags : </label>
      <select multiple formControlName="tags">
        <option value="" disabled>Choose Tags (ctrl plus click to select multiple)</option>
        <option *ngFor="let x of tags; let idx = index;" [ngValue]="idx">{{x.title}}</option>
      </select>

    </form>
  </mat-card>
</div>
